## pydb 1.19

=== Doc/info/Makefile ===
# Generate the Python "info" documentation.

TOPDIR=..
TOOLSDIR=$(TOPDIR)/tools
HTMLDIR=$(TOPDIR)/html

# The emacs binary used to build the info docs. GNU Emacs 21 is required.
EMACS=emacs

MKINFO=$(TOOLSDIR)/mkinfo
SCRIPTS=$(TOOLSDIR)/checkargs.pm $(TOOLSDIR)/mkinfo $(TOOLSDIR)/py2texi.el

# set VERSION to code the VERSION number into the info file name
# allowing installation of more than one set of python info docs
# into the same directory
VERSION=

all:	check-emacs-version \
	lib
#	doc inst

lib:	python$(VERSION)-lib.info

whatsnew:	$(WHATSNEW)
$(WHATSNEW):	python$(VERSION)-$(WHATSNEW).info

check-emacs-version:
	@v="`$(EMACS) --version 2>&1 | egrep '^(GNU |X)Emacs [12]*'`"; \
	if `echo "$$v" | grep '^GNU Emacs 21' >/dev/null 2>&1`; then \
	  echo "Using $(EMACS) to build the info docs"; \
	else \
	  echo "GNU Emacs 21 is required to build the info docs"; \
	  echo "Found $$v"; \
	  false; \
	fi

python$(VERSION)-lib.info:	../lib/lib.tex $(SCRIPTS)
	EMACS=$(EMACS) $(MKINFO) $< $*.texi $@

clean:
	rm -f *.texi~ *.texi

clobber: clean
	rm -f *.texi python*-*.info python*-*.info-[0-9]*

## pydb 1.26

=== pydb/Makefile ===
#=============================================================
# $Id: Makefile,v 1.2 2006/02/27 01:02:47 rockyb Exp $
#=============================================================
# Whatever it is you want to do, it should be handled by the 
# by the main (parent) Makefile. So reissue make from there.
.PHONY: all

all: pydb.py
	$(MAKE) -C .. $@

pydb.py: pydb.py.in
	$(MAKE) -C .. pydb/$@

%: 
	$(MAKE) -C .. $@

=== Doc/info/Makefile ===
--- 
+++ 
@@ -26,10 +26,10 @@
 
 check-emacs-version:
 	@v="`$(EMACS) --version 2>&1 | egrep '^(GNU |X)Emacs [12]*'`"; \
-	if `echo "$$v" | grep '^GNU Emacs 21' >/dev/null 2>&1`; then \
+	if `echo "$$v" | egrep '^GNU Emacs 2[1-3]' >/dev/null 2>&1`; then \
 	  echo "Using $(EMACS) to build the info docs"; \
 	else \
-	  echo "GNU Emacs 21 is required to build the info docs"; \
+	  echo "GNU Emacs 21 or greater is required to build the info docs"; \
 	  echo "Found $$v"; \
 	  false; \
 	fi

=== Doc/lib/Makefile ===
#=============================================================
# $Id: Makefile,v 1.1 2006/01/28 10:50:36 rockyb Exp $
#=============================================================
# Whatever it is you want to do, it should be handled by the 
# by the main (parent) Makefile. So reissue make from there.
all %:
	$(MAKE) -C .. $@

=== debian/changelog ===
pydb (1.26-2) unstable; urgency=low

  * Team Upload

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Mattia Rizzolo ]
  * Move to source format 3.0 (quilt), drop dpatch build-dependency.
  * Migrate from pysupport to dh_python2.  (Closes: #786184)

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 11 Dec 2015 22:09:20 +0000

pydb (1.26-1) unstable; urgency=low

  * Acknowledge the NMU by Simon McVittie.
  * New upstream release.
  * debian/control: Update standards-version.

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 01 Nov 2009 22:49:37 -0600

pydb (1.25-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Assume the directory layout seen in python-support 1.0 rather than
    0.8.x, with modules in /usr/share/pyshared (Closes: #516324)
  * Do the initial installation into the directories used by the default
    version of Python, not 2.4
  * Don't sed away a wrong path in the man page that actually no longer exists
  * Lintian fixes:
    - Move python-support to Build-Depends-Indep and do the build in
      build-indep, not build-arch, as this package is architecture-independent
    - Move menu entry from obsolete Apps to Applications
    - Install upstream ChangeLog as conventional changelog.gz, not ChangeLog.gz
    - Copy the actual copyright statements to debian/copyright, not just the
      upstream author's name
    - debian/patches/01_man_hyphens.dpatch: replace all "-" with either "\-"
      (minus) or "\(hy" (hyphen) depending on apparent intention, according to
      the best practice explained by lintian
    - debian/patches/02_man_Sp.dpatch: Remove undefined Sp macro (the man
      page seems to look fine without it)
    - debian/README.Debian: fix a spelling mistake

 -- Simon McVittie <smcv@debian.org>  Tue, 04 Aug 2009 22:48:49 +0100

pydb (1.25-1) unstable; urgency=low

  [Sandro Tosi]
  * debian/control
    - switch Vcs-Browser field to viewsvn
  [Oleksandr Moskalenko]
  * New upstream release.
  * debian/pydb.docs: Added upstream ChangeLog to docs (Closes: #508414).
  * debian/{pydb.emacsen-install,pydb.emacsen-remove,pydb.emacsen-startup}:
    Added emacse setup files again (Closes: #493190).
  * debian/control:
    - Changed Depends on emacsen-common to Suggests emacs22 (the only version
      pydb.el works with).
    - Updated standards-version and debhelper dependencies.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 26 Jan 2009 13:44:36 -0700

pydb (1.23-2) unstable; urgency=low

  [Carlos Galisteo]
  * debian/control
    - Added Homepage field.
  [Oleksandr Moskalenko]
  * debian/control: Added a dependency on dpatch.
  * debian/rules:
    - Added .PHONY patch and unpatch targets
    - Included /usr/share/dpatch/dpatch.make and added patch and unpatch
      targets.
  * debian/patches/01_pydbbdp.py.dpatch: ipython fix patch from the upstream
    author.
  * Removed all emacsen install remove and startup files. Just install pydb.el
    and run dh_installemacsen (Closes: #443351).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 20 Jul 2008 21:55:31 -0600

pydb (1.23-1) unstable; urgency=low

  * New upstream release.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 02 Jul 2008 13:31:28 -0600

pydb (1.22-3) unstable; urgency=low

  * debian/control: fix the short description field (Closes #441230).

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 07 Sep 2007 13:32:36 -0600

pydb (1.22-2) unstable; urgency=low

  * Fix emacsen-install (Closes: #421298). Thanks to Luis Rodrigo Gallardo
    Cruz <rodrigo@nul-unu.com> for the suggestion.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 16 Apr 2007 17:04:06 -0600

pydb (1.22-1) unstable; urgency=low

  * New upstream release.
  * debian/watch: Added a watch file.

 -- Oleksandr Moskalenko <malex@debian.org>  Mon, 16 Apr 2007 13:07:36 -0600

pydb (1.20-2) unstable; urgency=low

  * debian/control:
    - Joined the Debian Python Modules Team, so added
      <python-modules-team@lists.alioth.debian.org> to Uploaders.
    - Added XS-Vcs-Svn and XS-Vcs-Browser control fields.

 -- Oleksandr Moskalenko <malex@debian.org>  Wed, 31 Jan 2007 13:10:57 -0700

pydb (1.20-1) unstable; urgency=low

  * New bugfix upstream release on Dec 10th.
  * debian/control: Added emacsen-common to the depends to be able to install
    emacs mode.
  * debian/pydb.dirs: Added a line for usr/share/emacs/site-lisp/pydb.
  * Added debian/pydb.install file.
  * debian/pydb.install: Added a line to install the pydb.el file.
  * Added and modified debian/ emacsen-install, emacsen-remove,
    emacsen-startup files (Closes: #399944).

 -- Oleksandr Moskalenko <malex@debian.org>  Sun, 10 Dec 2006 19:44:03 -0700

pydb (1.19-1) unstable; urgency=low

  * New upstream release on Oct 26th.
  * debian/control: Removed python from "Depends" as ${python:Depends} takes
    care of that.

 -- Oleksandr Moskalenko <malex@debian.org>  Fri, 27 Oct 2006 11:31:21 -0600

pydb (1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/rules: Updated the sed rule that fixes the path to the pydb.doc
    in the man page as the upstream fixed pdb.doc --> pydb.doc.

 -- Oleksandr Moskalenko <malex@debian.org>  Tue,  3 Oct 2006 18:11:48 -0600

pydb (1.17-1) unstable; urgency=low

  * New upstream release on July 29th, 2006. Pydb is now developed by Rocky
    Bernstein <rocky@panix.com>. See http://bashdb.sourceforge.net/pydb/ for
    more information on how it differs from the old (1.01) pydb.
  * debian/README.Debian: Added a note from the new upstream author explaining
    the pydb evolution to the present day.
  * debian/copyright: Updated the copyright file to reflect the switch to new
    upstream and new license GPLv2.
  * debian/control:
    + Updated Standards-Version to 3.7.2.
    + Added a dependency on python-support (>= 0.4) per new
      python policy.
    + Removed version from the ddd suggests (>= 3.0-5).
    + Changed build-depends-indep to build-depends per linda warning.
  * debian/rules:


=== debian/control ===
Source: pydb
Section: devel
Priority: optional
Maintainer: Oleksandr Moskalenko <malex@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Standards-Version: 3.8.3
Build-Depends: debhelper (>= 7)
Build-Depends-Indep: python, dh-python
Vcs-Git: git://anonscm.debian.org/python-modules/packages/pydb.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pydb.git
Homepage: http://bashdb.sourceforge.net/pydb/

Package: pydb
Architecture: all
Depends: ${python:Depends}
Suggests: ddd, emacs22
Description: An enhanced Python command-line debugger
 Pydb is a command-line debugger for Python. It is based on the standard
 Python debugger pdb, but has a number of added features. Particularly, it is
 suitable for use with DDD, a graphical debugger front end.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
DEBIAN_DIR = $(shell pwd)/debian
PACKAGE = pydb
PYTHON_VER = $(shell pyversions -d -v)
DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
OPT_FLAG = -O0
endif

CFLAGS="$(OPT_FLAG)"

build: build-stamp
build-stamp:
	dh_testdir
	dh_clean
	./configure \
	    --prefix=$(CURDIR)/debian/$(PACKAGE)/usr \
	    --with-site-packages=$(CURDIR)/debian/$(PACKAGE)/usr/lib/python$(PYTHON_VER)/site-packages
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp config.status config.log
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testroot
	dh_installdirs
	dh_install
	$(MAKE) install
	rm -rf $(DEBIAN_DIR)/$(PACKAGE)/usr/man
	rm -f $(DEBIAN_DIR)/$(PACKAGE)/usr/bin/pydb
	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installemacsen
	dh_installmenu
	dh_installman Doc/pydb.1
	dh_installchangelogs ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_link
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

=== debian/watch ===
version=3
http://sf.net/bashdb/pydb-(.*)\.tar\.gz
